/*
 * ConfigFileParseException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * XMLファイル解析時に発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class ConfigFileParseException extends ConfigurationRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = -3876224595035408874L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public ConfigFileParseException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public ConfigFileParseException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public ConfigFileParseException(String msg, Exception cause) {
		super(msg, cause);
	}
}
